@import './../../../../../../shared/styles/variables';

$tabs-bg-color:#FCFCFC;

zs-case-phase-nav {
	display: flex;
	flex:0 0 auto;
}

.phase-list {
	display: flex;
	background-color:$tabs-bg-color;
	border-bottom:1px solid #ccc;
	flex-grow: 1;
	width:100%;
	z-index:3;
	padding: 0;
	> zs-dropdown-menu {
		padding:0 .5rem;
		display: flex;
		flex-flow: column nowrap;
		justify-content: center;
		.phase-dropdown-button {
			display: flex;
			text-transform: none;
			width:35px;
			height:35px;
			line-height: 35px;
			border-radius:100%;
			font-size:1.1rem;
			.mdi{
				font-size:1.6rem;
				display: flex;
			}
			.popup-menu-button-label{
				background: $primary-color;
				position: absolute;
				right:4px;
				top:6px;
				z-index:10;
				color:#fff;
				font-size:.8rem;
				width:14px;
				height:14px;
				line-height: 14px;
				border-radius:100%;
			}
		}
		&.phase-menu-right {
			.phase-dropdown-button {
				flex-direction: row-reverse;
			}
		}
	}
}

.phase-list-container {
	display: flex;
	flex: 0 0 auto;
	align-items: flex-start;
	@media #{$small-medium-and-down} {
		flex: 1 0 auto;
	}
}

.phase-list-item {
	position: relative;
	bottom:-1px;
	display: flex;
	border-bottom: 2px solid transparent;
	@media #{$small-medium-and-down} {
		flex: 1 0 auto;
		a{
			flex-grow:1;
			justify-content:center;
		}
	}
	&.selected {
		border-bottom: 2px solid $primary-color;
		.phase-list-item-link,
		.phase-list-item-icon {
			color: $primary-color;
		}
		.phase-list-item-link {
			font-weight: 500;
		}
	}
}

.phase-list-item-icon {
	display: flex;
	color: $grey;
	font-size: 1.4rem;
	margin-right: 5px;
}

.phase-list-item-link {
	display: flex;
	color: $grey;
	padding: .6rem .8rem;
	font-size:.933rem;
	align-items: center;
	position: relative;
	@media #{$medium-and-up}{
		padding: 1rem 1.2rem;
		font-size:1rem;
	}
}

.phase-list-item-count{
	position: relative;
	top:-7px;
}
